GDB (xrefs)

Public Attributes | List of all members
gdb_reader_funcs Struct Reference

`#include "jit-reader.h"`

## Public Attributes
int | reader_version
void * | priv_data
gdb_read_debug_info * | read
gdb_unwind_frame * | unwind
gdb_get_frame_id * | get_frame_id
gdb_destroy_reader * | destroy

## Detailed Description

Definition at line 328 of file jit-reader.h.

## Member Data Documentation

## ◆ destroy

gdb_destroy_reader* gdb_reader_funcs::destroy

Definition at line 339 of file jit-reader.h.

Referenced by jit_reader::~jit_reader().

## ◆ get_frame_id

gdb_get_frame_id* gdb_reader_funcs::get_frame_id

Definition at line 338 of file jit-reader.h.

Referenced by jit_frame_this_id().

## ◆ priv_data

void* gdb_reader_funcs::priv_data

Definition at line 334 of file jit-reader.h.

## ◆ read

gdb_read_debug_info* gdb_reader_funcs::read

Definition at line 336 of file jit-reader.h.

Referenced by jit_reader_try_read_symtab().

## ◆ reader_version

int gdb_reader_funcs::reader_version

Definition at line 331 of file jit-reader.h.

Referenced by jit_reader_load().

## ◆ unwind

gdb_unwind_frame* gdb_reader_funcs::unwind

Definition at line 337 of file jit-reader.h.

Referenced by jit_frame_sniffer().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/jit-reader.h